wind_farms = {
    "WOF35900004": "平陆风电场",
    "WOF35100072": "阳曲风电场",
    "WOF35100073": "古交风电场",
    "WOF35200074": "马家梁风电场",
    "WOF35400075": "太谷风电场",
    "WOF35900076": "坡底风电场",
    "WOF35300077": "西潘风电场",
    "WOF35900078": "芮城风电场",
    "WOF34900079": "右玉风光互补电站",
    "WOF35800080": "贺家沟",
    "WOF35800081": "石楼风电场",
    "WOF35800082": "盂县风光互补电站"
}

types = ['warn', 'fault', 'minute', 'second']

for code, name in wind_farms.items():
    for type in types:
        sql = f'alter table {code}_{type} TRUNCATE PARTITION p202504'
        print(sql)